net.sourceforge.pmd.lang.java.ast

## Class ASTFieldDeclaration

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.java.ast.AbstractJavaNode
    - - net.sourceforge.pmd.lang.java.ast.AbstractJavaAccessNode
      - - net.sourceforge.pmd.lang.java.ast.AbstractJavaAccessTypeNode
        - - net.sourceforge.pmd.lang.java.ast.ASTFieldDeclaration

All Implemented Interfaces:
  Node, AccessNode, Dimensionable, JavaNode, TypeNode

    public class ASTFieldDeclaration
    extends AbstractJavaAccessTypeNode
    implements Dimensionable

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`parser`

### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`beginColumn, beginLine, children, endColumn, endLine, id, parent`

### Fields inherited from interface net.sourceforge.pmd.lang.java.ast.AccessNode

`ABSTRACT, FINAL, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICTFP, SYNCHRONIZED, TRANSIENT, VOLATILE`

### Constructor Summary

Constructors
Constructor and Description
`ASTFieldDeclaration(int id)`
`ASTFieldDeclaration(JavaParser p, int id)`

### Method Summary

Methods
`int` `getArrayDepth()`
`String` `getVariableName()` Gets the variable name of this field.
`boolean` `isArray()`
`boolean` `isFinal()`
`boolean` `isInterfaceMember()`
`boolean` `isPackagePrivate()`
`boolean` `isPrivate()`
`boolean` `isProtected()`
`boolean` `isPublic()`
`boolean` `isStatic()`
`boolean` `isSyntacticallyFinal()`
`boolean` `isSyntacticallyPublic()`
`boolean` `isSyntacticallyStatic()`
`Object` `jjtAccept(JavaParserVisitor visitor, Object data)` Accept the visitor

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaAccessTypeNode

`getType, setType`

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaAccessNode

`getModifiers, isAbstract, isNative, isStrictfp, isSynchronized, isTransient, isVolatile, setAbstract, setFinal, setModifiers, setNative, setPrivate, setProtected, setPublic, setStatic, setStrictfp, setSynchronized, setTransient, setVolatile`

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`childrenAccept, comment, comment, getScope, jjtClose, jjtOpen, setScope, toString`

### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, isSingleLine, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

`findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData`

### Constructor Detail

#### ASTFieldDeclaration

    public ASTFieldDeclaration(int id)

#### ASTFieldDeclaration

    public ASTFieldDeclaration(JavaParser p,
                       int id)

### Method Detail

#### jjtAccept

    public Object jjtAccept(JavaParserVisitor visitor,
                   Object data)

Accept the visitor. *

Specified by:
  `jjtAccept` in interface `JavaNode`
Overrides:
  `jjtAccept` in class `AbstractJavaNode`

#### isSyntacticallyPublic

    public boolean isSyntacticallyPublic()

#### isPublic

    public boolean isPublic()

Specified by:
  `isPublic` in interface `AccessNode`
Overrides:
  `isPublic` in class `AbstractJavaAccessNode`

#### isSyntacticallyStatic

    public boolean isSyntacticallyStatic()

#### isStatic

    public boolean isStatic()

Specified by:
  `isStatic` in interface `AccessNode`
Overrides:
  `isStatic` in class `AbstractJavaAccessNode`

#### isSyntacticallyFinal

    public boolean isSyntacticallyFinal()

#### isFinal

    public boolean isFinal()

Specified by:
  `isFinal` in interface `AccessNode`
Overrides:
  `isFinal` in class `AbstractJavaAccessNode`

#### isPrivate

    public boolean isPrivate()

Specified by:
  `isPrivate` in interface `AccessNode`
Overrides:
  `isPrivate` in class `AbstractJavaAccessNode`

#### isPackagePrivate

    public boolean isPackagePrivate()

Specified by:
  `isPackagePrivate` in interface `AccessNode`
Overrides:
  `isPackagePrivate` in class `AbstractJavaAccessNode`

#### isProtected

    public boolean isProtected()

Specified by:
  `isProtected` in interface `AccessNode`
Overrides:
  `isProtected` in class `AbstractJavaAccessNode`

#### isInterfaceMember

    public boolean isInterfaceMember()

#### isArray

    public boolean isArray()

Specified by:
  `isArray` in interface `Dimensionable`

#### getArrayDepth

    public int getArrayDepth()

Specified by:
  `getArrayDepth` in interface `Dimensionable`

#### getVariableName

    public String getVariableName()

Gets the variable name of this field. This method searches the first VariableDeclartorId node and returns its image or `null` if the child node is not found.

Returns:
  a String representing the name of the variable